Page MenuHomePhabricator

[21/N] [libcxx] Implement is_absolute properly for windows
ClosedPublic

Authored by mstorsjo on Nov 10 2020, 8:45 AM.

Details

Diff Detail

Event Timeline

mstorsjo created this revision.Nov 10 2020, 8:45 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 10 2020, 8:45 AM
Herald added 1 blocking reviewer(s): Restricted Project. · View Herald Transcript
amccarth accepted this revision.Dec 10 2020, 4:55 PM

LGTM iff this function never has to deal with paths prefixed with \\?\, as in \\?\C:\Windows or \\?\UNC\server\foo.

LGTM iff this function never has to deal with paths prefixed with \\?\, as in \\?\C:\Windows or \\?\UNC\server\foo.

Yeah, those kinds of paths are out of spec here.

mstorsjo updated this revision to Diff 324207.Feb 16 2021, 11:47 PM
mstorsjo set the repository for this revision to rG LLVM Github Monorepo.

Retrigger CI

ldionne accepted this revision.Feb 17 2021, 8:55 AM
ldionne added a subscriber: ldionne.

LGTM pending CI.

This revision is now accepted and ready to land.Feb 17 2021, 8:55 AM
This revision was automatically updated to reflect the committed changes.